import os,sys
from flask import Flask
from models import db
sys.path.insert(1,"/home/licensing/web/licensing-server")
import conf.config as config
from models.licensing_server_setup import LicensingServerSetup


if __name__=='__main__':
    app = Flask(__name__)
    app.config.from_object('conf.config.Configuration')
    app.config['SQLALCHEMY_DATABASE_URI'] = config.SQLALCHEMY_DATABASE_URI
    db.init_app(app)
    with app.app_context():
        LicensingServerSetup.set_defaults();
