#!/bin/bash

if [ "x$1" = "x" ] || [ "x$2" = "x" ]
then
        echo "USAGE: $0 <license.txt> <priv-key>"
        exit 1
fi
cat $1 | openssl rsautl -sign -inkey $2 > $1.sig

if [ $? != 0 ]
then
        rm $1.sig
        echo "Failed to create license"
        exit 1
fi

echo "Created $1.sig"

exit 0
