(function() {
	'use strict';

	angular.module('sngLicense.config', [])
		.constant('baseConfig', {
		 	'backend': '/api/v1/',
		 	'api_token': 'token-',
		})
		.config(config);

  	config.$inject = ['$locationProvider', '$httpProvider', '$interpolateProvider'];

  	function config($locationProvider, $httpProvider, $interpolateProvider) {

        $interpolateProvider.startSymbol('{[');
        $interpolateProvider.endSymbol(']}');

        // $http.defaults.xsrfHeaderName = 'X-CSRFToken';
        // $http.defaults.xsrfCookieName = 'csrftoken';
        
  		$httpProvider.defaults.transformRequest = function(data){
	        if (data === undefined) {
	            return data;
	        }
	        return $.param(data);
	    }
    	$locationProvider.html5Mode(true);
	    $locationProvider.hashPrefix('!');
	}
})();
