from wsgi import app
from server import db

from getpass import getpass
from models.user import User

from werkzeug.security import generate_password_hash

def main():
    app.config.from_object('config')

    print 'Username: ',
    username = raw_input()

    print 'email: ',
    email = raw_input()

    password = getpass()
    assert password == getpass('Password (again):')

    with app.app_context():
        user = User(login=username, password=generate_password_hash(password), email=email)
        db.session.add(user)
        db.session.commit()
        print 'User: ', username, ' created.'

if __name__ == '__main__':
    main()
