(function () {
    'use strict';

    angular
        .module('sngLicense.routes')
        .config(config);

    config.$inject = ['$stateProvider', '$urlRouterProvider'];

    function config($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('sngLicense', {
                url: '/',
                views: {
                    'header': {
                        templateUrl: '/partials/layout/navbar.tpl.html',
                    },
                    'content': {
                        templateUrl: '/partials/layout/content.tpl.html',
                        controller: 'HomePageController as HomeCtrl'
                    },
                    'footer': {
                        templateUrl: '/partials/layout/footer.tpl.html'
                    }
                }
            })
            .state('api', {
                url: '/api',
                views: {
                    'header': {
                        templateUrl: '/partials/layout/navbar.tpl.html',
                    },
                    'content': {
                        templateUrl: '/partials/api/api.html',
                    },
                    'footer': {
                        templateUrl: '/partials/layout/footer.tpl.html'
                    }
                }
            })
        $urlRouterProvider.otherwise('/');
    }
})();
